Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1443759

Summary: Review Request: nodejs-is-error - Detect whether a value is an error
Product: [Fedora] Fedora Reporter: Jared Smith <jsmith.fedora>
Component: Package ReviewAssignee: Robert-André Mauchin <zebob.m>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-09-21 15:33:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1364669, 1443738, 1443755    
Bug Blocks: 956806, 1387531, 1443764    

Description Jared Smith 2017-04-19 22:43:40 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-is-error/nodejs-is-error.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-is-error/nodejs-is-error-2.2.1-1.fc27.src.rpm
Description: Detect whether a value is an error
Fedora Account System Username: jsmith

Comment 1 Robert-André Mauchin 2017-09-20 07:18:39 UTC
I've got a build error with the test I think:

+ /usr/bin/tap test/index.js
+ tap-spec
    ✔ test/index.js ...................................... 14/14
    total ................................................. 14/14
    ✔ undefined
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.TnH3e5 (%check)
    Bad exit status from /var/tmp/rpm-tmp.TnH3e5 (%check)

See https://koji.fedoraproject.org/koji/taskinfo?taskID=21979908

Comment 2 Robert-André Mauchin 2017-09-20 07:23:49 UTC
 - Fixed it by modifyinq the test, like specified in package.json:

%{__nodejs} test/index.js | tap-spec


Package is accepted but please don't forget to make this trivial change before import.

Comment 3 Jared Smith 2017-09-20 13:44:02 UTC
'Requested package in ticket https://pagure.io/releng/fedora-scm-requests/issue/1409'

Comment 4 Gwyn Ciesla 2017-09-20 14:06:21 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nodejs-is-error

Comment 5 Jared Smith 2017-09-21 15:33:21 UTC
In rawhide, closing bug